Loading...
Searching...
No Matches
Dune::Amg::SmootherApplier< T > Struct Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

Helper class for applying the smoothers. More...

`#include <dune/istl/paamg/smoother.hh>`

Inheritance diagram for Dune::Amg::SmootherApplier< T >:

## Public Types

typedef T | Smoother
typedef Smoother::range_type | Range
typedef Smoother::domain_type | Domain

## Static Public Member Functions

static void | preSmooth (Smoother &smoother, Domain &v, const Range &d)
| apply pre smoothing in forward direction
static void | postSmooth (Smoother &smoother, Domain &v, const Range &d)
| apply post smoothing in forward direction

## Detailed Description

template<class T>
struct Dune::Amg::SmootherApplier< T >

Helper class for applying the smoothers.

The goal of this class is to get a symmetric AMG method whenever possible.

The specializations for SOR and SeqOverlappingSchwarz in MultiplicativeSchwarzMode will apply the smoother forward when pre and backward when post smoothing.

The documentation for this struct was generated from the following file:

- smoother.hh